Tři schémata
Každé schéma je krátký kus textu, který telefon umí předat správné aplikaci. mailto: otevře e-mailovou aplikaci, tel: číselník a sms: aplikaci pro zprávy, s již vyplněným příjemcem a někdy i zprávou.
Telefonní čísla fungují nejlépe v mezinárodním formátu se znaménkem plus a předvolbou země, například +15035550123, aby kód fungoval i pro návštěvníky z jiných zemí.
- mailto:hello@example.com?subject=Order%20question&body=Hi (RFC 6068)
- tel:+15035550123 (RFC 3966)
- sms:+15035550123?body=Hello (RFC 5724)
- SMSTO:+15035550123:Hello (starší konvence, stále široce čtená)
- MATMSG:TO:hello@example.com;SUB:Hi;BODY:Hello;; (starší konvence pro e-mail)
Kódování textu zprávy
Předměty a těla zpráv v odkazech mailto a sms musí být zakódovány procentovým kódováním, takže mezera se stane %20 a ampersand uvnitř textu %26. Nezakódované znaky mohou zprávu useknout nebo odkaz porušit.
Platformy nezpracovávaly parametr body v sms vždy stejně, což je jeden z důvodů, proč je starší tvar SMSTO: v generátorech QR stále běžný. Spolehlivou kontrolou je test na iPhonu i Androidu před tiskem.
Co tyto kódy neumějí
QR kód nedokáže sám odeslat e-mail, textovou zprávu ani uskutečnit hovor. Jen otevře aplikaci s vyplněnými poli a o stisknutí odeslání nebo volání rozhoduje ten, kdo skenuje.
Protože je příjemce před odesláním vidět, lidé by měli zkontrolovat, že odpovídá jejich očekávání. Kód, který předvyplní zprávu na číslo se zvýšenou tarifací nebo neznámou adresu, je varovným signálem.